ns-dblcolon               package:base               R Documentation

Double Colon and Triple Colon Operators

Description:

     Accessing exported and internal variables in a name space.

Usage:

     pkg::name
     pkg:::name

Arguments:

     pkg: package name symbol or literal character string.

    name: variable name symbol or literal character string.

Details:

     The expression 'pkg::name' returns the value of the exported
     variable 'name' in package 'pkg' if the package has a name space. 
     The expression 'pkg:::name' returns the value of the internal
     variable 'name' in package 'pkg' if the package has a name space. 
     The package will be loaded if it was not loaded already before the
     call.  Assignment into name spaces is not supported.

Examples:

     base::log
     base::"+"

